summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/openapi-schema-validator/openapi-schema-validator-0.9.0.ebuild2
-rw-r--r--dev-python/pbr/pbr-7.0.3-r1.ebuild79
-rw-r--r--dev-python/pbr/pbr-7.0.3-r2.ebuild (renamed from dev-python/pbr/pbr-7.0.3.ebuild)9
-rw-r--r--dev-python/regress/regress-2025.10.1.ebuild2
4 files changed, 87 insertions, 5 deletions
diff --git a/dev-python/openapi-schema-validator/openapi-schema-validator-0.9.0.ebuild b/dev-python/openapi-schema-validator/openapi-schema-validator-0.9.0.ebuild
index 09961dac8d92..59c3b04f9120 100644
--- a/dev-python/openapi-schema-validator/openapi-schema-validator-0.9.0.ebuild
+++ b/dev-python/openapi-schema-validator/openapi-schema-validator-0.9.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ppc64 ~riscv x86"
RDEPEND="
<dev-python/jsonschema-5[${PYTHON_USEDEP}]
diff --git a/dev-python/pbr/pbr-7.0.3-r1.ebuild b/dev-python/pbr/pbr-7.0.3-r1.ebuild
new file mode 100644
index 000000000000..00a356f3df21
--- /dev/null
+++ b/dev-python/pbr/pbr-7.0.3-r1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( pypy3_11 python3_{11..14} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Inject some useful and sensible default behaviors into setuptools"
+HOMEPAGE="
+ https://opendev.org/openstack/pbr/
+ https://github.com/openstack/pbr/
+ https://pypi.org/project/pbr/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+# importlib-resources/pkg-resources: _compat/metadata.py
+# packaging/pkg-resources: _compat/packaging.py
+RDEPEND="
+ || (
+ dev-python/importlib-resources[${PYTHON_USEDEP}]
+ dev-python/pkg-resources[${PYTHON_USEDEP}]
+ )
+ || (
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ dev-python/pkg-resources[${PYTHON_USEDEP}]
+ )
+ >=dev-python/setuptools-64.0.0[${PYTHON_USEDEP}]
+"
+
+# git is needed for tests, see https://bugs.launchpad.net/pbr/+bug/1326682 and
+# https://bugs.gentoo.org/show_bug.cgi?id=561038 docutils is needed for sphinx
+# exceptions... https://bugs.gentoo.org/show_bug.cgi?id=603848 stestr is run as
+# external tool.
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.0.3[${PYTHON_USEDEP}]
+ dev-vcs/git
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # TODO: investigate
+ sed -e 's:test_with_argument:_&:' \
+ -e 's:test_wsgi_script_run:_&:' \
+ -i pbr/tests/functional/test_wsgi_scripts.py || die
+ # installs random packages via pip from the Internet
+ rm pbr/tests/functional/test_pep517.py || die
+ rm pbr/tests/functional/test_requirements.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Testing on ${EPYTHON} is not supported at the moment"
+ return
+ fi
+
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest -b
+}
diff --git a/dev-python/pbr/pbr-7.0.3.ebuild b/dev-python/pbr/pbr-7.0.3-r2.ebuild
index bad931613970..67ecc8a46dd0 100644
--- a/dev-python/pbr/pbr-7.0.3.ebuild
+++ b/dev-python/pbr/pbr-7.0.3-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,9 +19,13 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/importlib-resources[${PYTHON_USEDEP}]
+ ' pypy3_11 3.11)
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
>=dev-python/setuptools-64.0.0[${PYTHON_USEDEP}]
"
@@ -35,7 +39,6 @@ BDEPEND="
$(python_gen_cond_dep '
>=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
>=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
>=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
diff --git a/dev-python/regress/regress-2025.10.1.ebuild b/dev-python/regress/regress-2025.10.1.ebuild
index 09f529be9ee7..dd834a4bfa3a 100644
--- a/dev-python/regress/regress-2025.10.1.ebuild
+++ b/dev-python/regress/regress-2025.10.1.ebuild
@@ -55,7 +55,7 @@ LICENSE="MIT"
# Dependent crate licenses
LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0 ZLIB"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ppc64 ~riscv x86"
EPYTEST_PLUGINS=()
distutils_enable_tests pytest